package com.jeethink.using.mapper;

import com.jeethink.bean.domain.ArchivesMaster;
import com.jeethink.using.domain.ArchivesBorrow;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BorrowMapper {

    List<ArchivesBorrow> selectMyBorrowList(ArchivesBorrow borrow);

    ArchivesBorrow selectById(String borrowId);

    void removeBorrow(String borrowId);

    List<ArchivesBorrow> selectBorrowHistory(ArchivesBorrow borrow);

    /**
     * 查询借阅中的记录
     * @param borrow
     * @return
     */
    List<ArchivesBorrow> selectBorrowingList(ArchivesBorrow borrow);

    void insertBorrow(ArchivesBorrow borrow);


    void changeBorrowStatus(@Param("borrowId") String borrowId, @Param("borrowStatus") String borrowStatus);

    List<ArchivesBorrow> selectStatusBorrowList(@Param("borrow") ArchivesBorrow borrow, @Param("statusList") List statusList);

    List<ArchivesMaster> selectArchivesList(ArchivesMaster archives);
}
